## org.apache.batik.svggen.font.table
Class GlyfDescript

    java.lang.Object
      org.apache.batik.svggen.font.table.Program
          org.apache.batik.svggen.font.table.GlyfDescript

All Implemented Interfaces:
  GlyphDescription

Direct Known Subclasses:
  GlyfCompositeDescript, GlyfSimpleDescript

public abstract class GlyfDescript
extends Program
implements GlyphDescription

Field Summary
`static byte` `onCurve`
`protected GlyfTable` `parentTable`
`static byte` `repeat`
`static byte` `xDual`
`static byte` `xShortVector`
`static byte` `yDual`
`static byte` `yShortVector`

Constructor Summary
`protected` `GlyfDescript(GlyfTable parentTable, short numberOfContours, java.io.ByteArrayInputStream bais)`

Method Summary
`int` `getNumberOfContours()`
`short` `getXMaximum()`
`short` `getXMinimum()`
`short` `getYMaximum()`
`short` `getYMinimum()`

Methods inherited from class org.apache.batik.svggen.font.table.Program
`getInstructions, readInstructions, readInstructions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.svggen.font.table.GlyphDescription
`getContourCount, getEndPtOfContours, getFlags, getPointCount, getXCoordinate, getYCoordinate, isComposite`

Field Detail

### onCurve

    public static final byte onCurve

See Also:
  Constant Field Values

### xShortVector

    public static final byte xShortVector

See Also:
  Constant Field Values

### yShortVector

    public static final byte yShortVector

See Also:
  Constant Field Values

### repeat

    public static final byte repeat

See Also:
  Constant Field Values

### xDual

    public static final byte xDual

See Also:
  Constant Field Values

### yDual

    public static final byte yDual

See Also:
  Constant Field Values

### parentTable

    protected GlyfTable parentTable

Constructor Detail

### GlyfDescript

    protected GlyfDescript(GlyfTable parentTable,
                           short numberOfContours,
                           java.io.ByteArrayInputStream bais)

Method Detail

### getNumberOfContours

    public int getNumberOfContours()

### getXMaximum

    public short getXMaximum()

  Specified by:
    `getXMaximum` in interface `GlyphDescription`

### getXMinimum

    public short getXMinimum()

  Specified by:
    `getXMinimum` in interface `GlyphDescription`

### getYMaximum

    public short getYMaximum()

  Specified by:
    `getYMaximum` in interface `GlyphDescription`

### getYMinimum

    public short getYMinimum()

  Specified by:
    `getYMinimum` in interface `GlyphDescription`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.